Bug 5244 - SAMBA не работает
: SAMBA не работает
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: RED
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-03-20 19:33 MSK by Vladimir Potapov
Modified: 2015-11-16 13:17 MSK (History)
2 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:


Attachments
red-self-samba.jpg (139.77 KB, image/jpeg)
2015-03-21 08:11 MSK, FirstLevel
Details
samba-with-disabled-shorewall.jpg (101.42 KB, image/jpeg)
2015-03-22 08:12 MSK, FirstLevel
Details
samba-work-32bit--new-shorewall.jpg (150.34 KB, image/jpeg)
2015-03-25 18:24 MSK, FirstLevel
Details
samba-work-64bit--new-shorewall.jpg (159.11 KB, image/jpeg)
2015-03-25 18:24 MSK, FirstLevel
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Vladimir Potapov 2015-03-20 19:33:29 MSK
samba-сеть не видна - ни группы, ни отдельные машины.
Comment 1 FirstLevel 2015-03-21 08:11:23 MSK
Пример работающей самбы. RED32bit сам себе расшарил и сам у себя увидел.
red-self-samba.jpg
Comment 2 FirstLevel 2015-03-21 08:11:36 MSK
Created attachment 3829 [details]
red-self-samba.jpg
Comment 3 Vladimir Potapov 2015-03-21 17:01:17 MSK
(In reply to comment #2)
> Created attachment 3829 [details]
> red-self-samba.jpg

Я пробовал в live и в x64
Comment 4 FirstLevel 2015-03-21 22:23:44 MSK
(In reply to comment #3)
> (In reply to comment #2)
> > Created attachment 3829 [details]
> > red-self-samba.jpg
> 
> Я пробовал в live и в x64

Да, два red-а у меня тоже друг друга не видят.
Может файрвол включен по умолчанию?
Comment 5 FirstLevel 2015-03-22 08:12:17 MSK
Created attachment 3830 [details]
samba-with-disabled-shorewall.jpg
Comment 6 FirstLevel 2015-03-22 08:12:41 MSK
(In reply to comment #4)
> (In reply to comment #3)
> > (In reply to comment #2)
> > > Created attachment 3829 [details]
> > > red-self-samba.jpg
> > 
> > Я пробовал в live и в x64
> 
> Да, два red-а у меня тоже друг друга не видят.
> Может файрвол включен по умолчанию?

Да, при отключенном шореволе самба работает на ура samba-with-disabled-shorewall.jpg
Comment 7 FirstLevel 2015-03-22 08:12:46 MSK
(In reply to comment #4)
> (In reply to comment #3)
> > (In reply to comment #2)
> > > Created attachment 3829 [details]
> > > red-self-samba.jpg
> > 
> > Я пробовал в live и в x64
> 
> Да, два red-а у меня тоже друг друга не видят.
> Может файрвол включен по умолчанию?

Да, при отключенном шореволе самба работает на ура samba-with-disabled-shorewall.jpg
Comment 8 Denis Silakov 2015-03-24 13:25:48 MSK
Да, конфиг shorewall по умолчанию у нас самбу не разрешает. Раньше дефолтный конфиг был поломан и shorewall вообще не мог стартануть, а теперь вот стартует:)

Попробуйте поставить drafirewall и через него настроить shorewall. Если заработает, можно подправить дефолтные конфиги shorewall. Если не заработает, то надо будет как-то чинить drakfirewall, т.к. руками shorewall замучаешься настраивать. Но при этом можно убрать его с исошки, он напрямую никаким программам не требуется.
Comment 9 FirstLevel 2015-03-24 17:02:52 MSK
(In reply to comment #8)
> Да, конфиг shorewall по умолчанию у нас самбу не разрешает. Раньше дефолтный
> конфиг был поломан и shorewall вообще не мог стартануть, а теперь вот
> стартует:)
> 
> Попробуйте поставить drafirewall и через него настроить shorewall. Если
> заработает, можно подправить дефолтные конфиги shorewall. Если не
> заработает, то надо будет как-то чинить drakfirewall, т.к. руками shorewall
> замучаешься настраивать. Но при этом можно убрать его с исошки, он напрямую
> никаким программам не требуется.

Я за то, чтобы убрать шореволл.  Стартануть в корпоративной среде можно и без него. Мы ж не защищенное средство делаем.
Comment 10 Vladimir Potapov 2015-03-24 18:44:45 MSK
(In reply to comment #9)
> (In reply to comment #8)
> > Да, конфиг shorewall по умолчанию у нас самбу не разрешает. Раньше дефолтный
> > конфиг был поломан и shorewall вообще не мог стартануть, а теперь вот
> > стартует:)
> > 
> > Попробуйте поставить drafirewall и через него настроить shorewall. Если
> > заработает, можно подправить дефолтные конфиги shorewall. Если не
> > заработает, то надо будет как-то чинить drakfirewall, т.к. руками shorewall
> > замучаешься настраивать. Но при этом можно убрать его с исошки, он напрямую
> > никаким программам не требуется.
> 
> Я за то, чтобы убрать шореволл.  Стартануть в корпоративной среде можно и
> без него. Мы ж не защищенное средство делаем.
Тогда и из фреша его нужно убирать. Причем "за рубежом" этот файрвол любят, они там на безопасности помешаны - сразу включают.
Comment 11 Denis Silakov 2015-03-24 18:52:22 MSK
Ради эксперимента - попробуйте удалить из файла /etc/shorewall/rules все, начинающееся с "?SECTION".
Comment 12 Denis Silakov 2015-03-25 16:54:34 MSK
Чтобы немного упростить процесс, давайте сделаем так (кто может протестить работу самбы):

1) удалем shorewall. Если осталась папка /etc/shorewall, то ее тоже удаляем руками

2) ставим shorewall отсюда:

(32bit) https://abf.io/build_lists/2476041
(64bit) https://abf.io/build_lists/2476042

и смотрим, работет самба или нет.
Comment 13 FirstLevel 2015-03-25 18:24:12 MSK
> 1) удалем shorewall. Если осталась папка /etc/shorewall, то ее тоже удаляем
> руками
> 
> 2) ставим shorewall отсюда:
> 
> (32bit) https://abf.io/build_lists/2476041
> (64bit) https://abf.io/build_lists/2476042
> 
> и смотрим, работет самба или нет.

32bit. Поставил новый шоревол, он работает.
red32 ~ # service shorewall status
Redirecting to /bin/systemctl status shorewall.service
shorewall.service - Shorewall IPv4 firewall
   Loaded: loaded (/lib/systemd/system/shorewall.service; enabled)
   Active: active (exited) since Wed 2015-03-25 17:11:10 MSK; 6min ago
  Process: 4012 ExecStart=/sbin/shorewall $OPTIONS start (code=exited, status=0/SUCCESS)
 Main PID: 4012 (code=exited, status=0/SUCCESS)
   CGroup: /system.slice/shorewall.service

Mar 25 17:11:09 red32 shorewall[4012]: Setting up Route Filtering...
Mar 25 17:11:09 red32 shorewall[4012]: Setting up Martian Logging...
Mar 25 17:11:09 red32 shorewall[4012]: Setting up Proxy ARP...
Mar 25 17:11:10 red32 shorewall[4012]: Preparing iptables-restore input...
Mar 25 17:11:10 red32 shorewall[4012]: Running /sbin/iptables-restore...
Mar 25 17:11:10 red32 shorewall[4012]: Processing /etc/shorewall/start ...
Mar 25 17:11:10 red32 shorewall[4012]: Processing /etc/shorewall/started ...
Mar 25 17:11:10 red32 logger[4708]: Shorewall started
Mar 25 17:11:10 red32 shorewall[4012]: done.
Mar 25 17:11:10 red32 systemd[1]: Started Shorewall IPv4 firewall.
red32 ~ # ifconfig -a
eth0: flags=4163<UP,BROADCAST,RUNNING,MULTICAST>  mtu 1500
        inet 192.168.1.1  netmask 255.255.255.0  broadcast 192.168.1.255
        inet6 fe80::a00:27ff:fe03:752  prefixlen 64  scopeid 0x20<link>
        ether 08:00:27:03:07:52  txqueuelen 1000  (Ethernet)
        RX packets 8  bytes 862 (862.0 B)
        RX errors 0  dropped 0  overruns 0  frame 0
        TX packets 132  bytes 21423 (20.9 KiB)
        TX errors 0  dropped 0 overruns 0  carrier 0  collisions 0

lo: flags=73<UP,LOOPBACK,RUNNING>  mtu 65536
        inet 127.0.0.1  netmask 255.0.0.0
        inet6 ::1  prefixlen 128  scopeid 0x10<host>
        loop  txqueuelen 0  (Local Loopback)
        RX packets 183  bytes 23608 (23.0 KiB)
        RX errors 0  dropped 0  overruns 0  frame 0
        TX packets 183  bytes 23608 (23.0 KiB)
        TX errors 0  dropped 0 overruns 0  carrier 0  collisions 0



64бита. Поставил новый шоревол, он работает.
red64 ~ # service shorewall status
Redirecting to /bin/systemctl status shorewall.service
shorewall.service - Shorewall IPv4 firewall
   Loaded: loaded (/lib/systemd/system/shorewall.service; enabled)
   Active: active (exited) since Wed 2015-03-25 17:15:43 MSK; 2min 10s ago
  Process: 3516 ExecStart=/sbin/shorewall $OPTIONS start (code=exited, status=0/SUCCESS)
 Main PID: 3516 (code=exited, status=0/SUCCESS)
   CGroup: /system.slice/shorewall.service

Mar 25 17:15:42 red64 shorewall[3516]: Setting up Route Filtering...
Mar 25 17:15:42 red64 shorewall[3516]: Setting up Martian Logging...
Mar 25 17:15:42 red64 shorewall[3516]: Setting up Proxy ARP...
Mar 25 17:15:42 red64 shorewall[3516]: Preparing iptables-restore input...
Mar 25 17:15:43 red64 shorewall[3516]: Running /sbin/iptables-restore...
Mar 25 17:15:43 red64 shorewall[3516]: Processing /etc/shorewall/start ...
Mar 25 17:15:43 red64 shorewall[3516]: Processing /etc/shorewall/started ...
Mar 25 17:15:43 red64 logger[4087]: Shorewall started
Mar 25 17:15:43 red64 shorewall[3516]: done.
Mar 25 17:15:43 red64 systemd[1]: Started Shorewall IPv4 firewall.
red64 ~ # ifconfig -a
eth0: flags=4163<UP,BROADCAST,RUNNING,MULTICAST>  mtu 1500
        inet 192.168.1.2  netmask 255.255.255.0  broadcast 192.168.1.255
        inet6 fe80::a00:27ff:fef1:97e3  prefixlen 64  scopeid 0x20<link>
        ether 08:00:27:f1:97:e3  txqueuelen 1000  (Ethernet)
        RX packets 38  bytes 7728 (7.5 KiB)
        RX errors 0  dropped 0  overruns 0  frame 0
        TX packets 132  bytes 20647 (20.1 KiB)
        TX errors 0  dropped 0 overruns 0  carrier 0  collisions 0

lo: flags=73<UP,LOOPBACK,RUNNING>  mtu 65536
        inet 127.0.0.1  netmask 255.0.0.0
        inet6 ::1  prefixlen 128  scopeid 0x10<host>
        loop  txqueuelen 0  (Local Loopback)
        RX packets 191  bytes 24152 (23.5 KiB)
        RX errors 0  dropped 0  overruns 0  frame 0
        TX packets 191  bytes 24152 (23.5 KiB)
        TX errors 0  dropped 0 overruns 0  carrier 0  collisions 0


Расшарил папки на обеих системах. Они видны.
samba-work-32bit--new-shorewall.jpg
samba-work-64bit--new-shorewall.jpg
Comment 14 FirstLevel 2015-03-25 18:24:40 MSK
Created attachment 3840 [details]
samba-work-32bit--new-shorewall.jpg
Comment 15 FirstLevel 2015-03-25 18:24:53 MSK
Created attachment 3841 [details]
samba-work-64bit--new-shorewall.jpg
Comment 16 Vladimir Potapov 2015-03-25 20:16:17 MSK
после обновления - самба видит сеть. Но вот если потом вручную поставить галочку про самбу, то шореволл падает и не поднимается.

systemctl status shorewall.service 
shorewall.service - Shorewall IPv4 firewall
   Loaded: loaded (/lib/systemd/system/shorewall.service; enabled)
   Active: failed (Result: exit-code) since Чт 2015-03-26 00:12:21 IRKT; 15s ago
  Process: 17548 ExecStart=/sbin/shorewall $OPTIONS start (code=exited, status=143)
 Main PID: 17548 (code=exited, status=143)



shorewall start
Compiling...
Processing /etc/shorewall/params ...
Processing /etc/shorewall/shorewall.conf...
Loading Modules...
Compiling /etc/shorewall/zones...
Compiling /etc/shorewall/interfaces...
Determining Hosts in Zones...
Locating Action Files...
Compiling /etc/shorewall/policy...
Running /etc/shorewall/initdone...
Compiling TCP Flags filtering...
Compiling Kernel Route Filtering...
Compiling Martian Logging...
Compiling MAC Filtration -- Phase 1...
Compiling /etc/shorewall/rules...
Compiling /etc/shorewall/conntrack...
Compiling MAC Filtration -- Phase 2...
Applying Policies...
Compiling /usr/share/shorewall/action.Drop for chain Drop...
Compiling /usr/share/shorewall/action.Broadcast for chain Broadcast...
Generating Rule Matrix...
Compiling /usr/share/shorewall/action.Reject for chain Reject...
Creating iptables-restore input...
Shorewall configuration compiled to /var/lib/shorewall/.start
Starting Shorewall....
Initializing...
Processing /etc/shorewall/init ...
Processing /etc/shorewall/tcclear ...
Setting up Route Filtering...
Setting up Martian Logging...
Setting up Proxy ARP...
Preparing iptables-restore input...
Running /sbin/iptables-restore...
iptables-restore v1.4.21: interface name `Xperia_ZR_59df-1' must be shorter than IFNAMSIZ (15)
Error occurred at line: 94
Try `iptables-restore -h' or 'iptables-restore --help' for more information.
   ERROR: iptables-restore Failed. Input is in /var/lib/shorewall/.iptables-restore-input
Processing /etc/shorewall/stop ...
Processing /etc/shorewall/tcclear ...
Running /sbin/iptables-restore...
Processing /etc/shorewall/stopped ...
/usr/share/shorewall/lib.common: строка 113: 24676 Завершено      $SHOREWALL_SHELL $script $options $@
Comment 17 Vladimir Potapov 2015-03-25 20:17:55 MSK
iptables при этом продолжает работать, причем опять блокирует самбу.
Comment 18 Denis Silakov 2015-03-25 20:57:14 MSK
А со старым shorewall (который в репах сейчас) такая же штука? Возможно, это drakfirewall надо подправить, чтобы не делал линные имена интерфейсов.
Comment 19 Vladimir Potapov 2015-03-26 15:17:15 MSK
да, такая же штука. Вероятно, нужно подправить т.к. лазание по сервисам это уже админская совсем штука, пользователь может сломать файрволл и остаться без самбы.
Comment 20 Denis Silakov 2015-03-27 23:06:26 MSK
Про длинные имена завел отдельный баг #5293.
Shorewall уехал на QA - bug #5294.
Comment 21 Denis Silakov 2015-11-16 13:17:45 MSK
Shorewall Обновлен, баг про длинные имена заведен. Этот общий баг предлагаю закрыть.